/**
 * FinalVersion presents a target with an image in the center. The target is modeled
 * after the official FITA archery target (see http://en.wikipedia.org/wiki/
 *                                                     File:Archery_Target_80cm.svg)
 * 
 * @author kvlinden, snelesen
 * @version Fall, 2010
 */

size(550, 650);
smooth();

fill(255);  //white
ellipse(275, 275, 500, 500); 
ellipse(275, 275, 450, 450);
fill(0);  // black
ellipse(275, 275, 400, 400);
stroke(255);
ellipse(275, 275, 350, 350);
fill(0, 255, 255);  //cyan
stroke(0);
ellipse(275, 275, 300, 300);
ellipse(275, 275, 250, 250);
fill(255, 0, 0);   // red
ellipse(275, 275, 200, 200);
ellipse(275, 275, 150, 150);
fill(255, 255, 0); // yellow
ellipse(275, 275, 100, 100);

image(
  loadImage("RandallBoggs.jpg"), 
    238, 238);

fill(150,0,150); //purple like Randall
textFont(loadFont("Calibri-40.vlw"));
text("The               Randall dartboard", 25, 600);
textFont(loadFont("Calibri-Bold-40.vlw"));
text("       official", 25, 600);




