/** 
 * Poster produces a "dynamic" poster that displays a 
 * "You are Here" message connected to rondomly selected
 * points on an image of the Earth.
 *
 * @author nyhl, jnyhoff, kvlinden
 * @version Fall, 2009
 */

// Create a display window with a black background.
//size(150, 100);
size(300, 225);
smooth();
background(0, 0, 0);

// Add an Earth photo.
image(loadImage("blueMarble600px.png"), 25, 25);
//ellipse(75, 50, 95, 95);  // placeholder for iteration 1a
//fill(48, 128, 237);
//noStroke();
//ellipse(175, 160, 300, 300); // placeholder for iteration 1b

// Create the text caption.
fill(255, 255, 255);
textFont( loadFont("Calibri-20.vlw") );
text("You are Here.", 10, 20);
stroke(255, 255, 0, 128);
//strokeWeight(2);
//rect(5, 5, 100, 25);

// Draw the point.
strokeWeight(5);
point(80, 65);

// Draw a line from the text caption to the point.
strokeWeight(2);
line(50, 30, 80, 65);

// Add some randomly sized white stars to the background.
stroke(255);
strokeWeight(random(3));
point(random(75), random(75));
strokeWeight(random(3));
point(random(75), random(75));
strokeWeight(random(3));
point(random(75), random(75));
strokeWeight(random(3));
point(random(75), random(75));
//strokeWeight(3);
//point(30, 50);
//strokeWeight(1);
//point(15, 40);
//strokeWeight(2);
//point(75, 5);
//strokeWeight(1);
//point(10, 75);


save("../../../../text/c02programming/youAreHere.tiff");
