final int WIDTH = 300, HEIGHT = WIDTH;
int circleX, circleY, circleDiameter;
float angle;

size(WIDTH, HEIGHT);
smooth();
angle = 45;

// Draw a circle and center point.
stroke(0);
circleDiameter = WIDTH-50;
circleX = WIDTH / 2;
circleY = HEIGHT / 2;
strokeWeight(4);
ellipse(circleX, circleY, circleDiameter, circleDiameter);
point(circleX, circleY);

// Draw a radius line at the given angle.
strokeWeight(4);
line(circleX, circleY, 
     circleX + cos(radians(angle)) * circleDiameter/2, 
     circleY - sin(radians(angle)) * circleDiameter/2
     );
strokeWeight(2);
line(circleX - circleDiameter/2, circleY, circleX + circleDiameter/2, circleY);
line(circleX + cos(radians(angle)) * circleDiameter/2, 
     circleY - sin(radians(angle)) * circleDiameter/2, 
     circleX + cos(radians(angle)) * circleDiameter/2, 
     circleY);

