/**
 * Photos is a photo analysis tool based on the golden ratio
 *
 * @author kvlinden
 * @version Fall, 2009
 */

final float PHI = 1.6180339887; // approximation of the golden ratio
// Iteration 1 doesn't use the PImage constructor explicitly.
int width = 300, height = 225; // the assumed image width/height
size(width, height);
image(loadImage("sydneyHarbor-300x225.jpg"), 0, 0);

// Iteration 2 does, and it also adds sound.
//import ddf.minim.*;
//PImage image = loadImage("fishMarketPelican-500x375.jpg");
//int width = image.width, height = image.height;
//size(width, height);
//image(image, 0, 0);
//Minim minim = new Minim(this);
//AudioSnippet snip = minim.loadSnippet("AdagioForStrings.mp3");
//snip.play();


stroke(125);
float aWidth = width/PHI, aHeight = height/PHI;
line(aWidth, 0, aWidth, height);
line(width - aWidth, 0, width - aWidth, height);
line(0, aHeight, width, aHeight);
line(0, height - aHeight, width, height - aHeight);

save("../../../../text/c03types/photoAnalysis.tif");
