package c06java.lecture;

import java.util.Scanner;

/**
 * TemperatureConverter converts Celsius temperatures to Fahrenheit. This
 * routine assumes that the user enters a valid temperature.
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
public class TemperatureConverter {

	/**
	 * This string prompt illustrates a static data member.
	 */
	public static final String PROMPT = "Please enter the temperature in Celsius:";

	/**
	 * The main method implements the temperature conversion using console-base
	 * input and output.
	 * 
	 * @param args these command line arguments are ignored
	 */
	public static void main(String[] args) {
		System.out.print(PROMPT);

		Scanner keyboard = new Scanner(System.in);
		double celsius = keyboard.nextDouble();

		double fahrenheit = ((9.0 / 5.0) * celsius) + 32;

		System.out.print(celsius + " degrees Celsius is " + fahrenheit
				+ " degrees Fahrenheit.\n");
	}
}
