package c07repetition.lecture.treeGUI;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class TreeTest {

	@Test
	public void branchAngleTest() {
		TreePanel treePanel = new TreePanel(0);
		assertEquals(0.0, treePanel.getBranchAngle(), 1e-3);
		treePanel.setBranchAngle(90);
		assertEquals(Math.PI/2, treePanel.getBranchAngle(), 1e-3);
	}

	@Test
	public void noiseTest() {
		TreePanel treePanel = new TreePanel(0);
		assertEquals(0.0, treePanel.getNoiseFactor(), 1e-3);
		treePanel.setNoiseFactor(1);
		assertEquals(1, treePanel.getNoiseFactor(), 1e-3);
	}
	
	

}
