/* colorChooser allows the user to set the color of the background to either black or 
 * white by clicking on the color area. Pressing on the background resets the color to
 * gray.
 *
 * @author kvlinden
 * @version 16may2009
 */

int unit = 100;

void setup() {
  size(unit*3, unit*2);
  background(200, 200, 200);
  fill(0);
  rect(0, 0, unit, unit);
  fill(255);
  rect(0, unit, unit, unit);
  noStroke();
}

void draw() {
}

void mousePressed() {
  if (mouseX > 0 && mouseX < unit && mouseY > 0 && mouseY < unit) {
    fill(0);
  } 
  else if (mouseX > 0 && mouseX < unit && mouseY > unit && mouseY < unit*2) {
    fill(255);
  } 
  else {
    fill(200, 200, 200);
  }
  rect(unit+1, 0, unit*2, unit*2);
}

