class Paddle {
  
  private final int HEIGHT = 5;
  
  private float myX;
  private int myWidth, myHeight;
  
  public Paddle() {
    myX = 8;
    myWidth = 16;
    myHeight = HEIGHT;
  }
  
  public Paddle(float x, int widthIn) {
    myX = constrain(x, 0, width);
    myWidth = constrain(widthIn, 0, width);
    myHeight = HEIGHT;
  }
  
  public float getX() {
    return myX;
  }
  
  public int getWidth() {
    return myWidth;
  }
  
  public int getHeight() {
    return myHeight;
  }
  
    
  public void render() {
    stroke(0);
    fill(255);
    rect(myX - myWidth / 2, height - myHeight, myWidth, myHeight);
  }
  
  public void move(float x) {
    myX = constrain(x, 0, width);
  }
  
}
