/**
 * RaindropsNonOO draws one falling raindrop without using classes.
 *
 * @author kvlinden
 * @version Fall, 2009
 */

int dropX, dropY, dropDiameter, dropVelocity;

void setup() {
  size(400, 600);
  background(255);
  smooth();
  dropX = width / 2;
  dropY = height / 2;
  dropDiameter = 100;
  dropVelocity = 5;
}

void draw() {
  background(255);
  if (dropY <= height) {
      drawRaindrop(dropX, dropY, dropDiameter);
  }
  dropY += dropVelocity;

}

void drawRaindrop(int x, int y, int diameter) {
  fill(10, 10, 200, 100);
  stroke(0);
  arc(x, y, diameter, diameter, 0, PI);
  noStroke();
  triangle(x, y - diameter*1.5, x - diameter/2, y, x + diameter/2, y);
  stroke(0);
  line(x, y - diameter*1.5, x - diameter/2, y);
  line(x, y - diameter*1.5, x + diameter/2, y);
}

void keyPressed() {
  save("../../../../text/c07classes/rainDrop.tif");
}





