package c11ui.text.expandingCircle.expanderOther;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JLabel;

public class ExpanderController extends JFrame implements ActionListener {

	private ExpanderPanel panel;
	private JButton clearB;
	private JLabel label;
	
	public ExpanderController(){
		setTitle("Expander Controller");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		
		panel = new ExpanderPanel();
		panel.init();
		add(panel);
		
		clearB = new JButton("Clear");
		clearB.addActionListener(this);
		add(clearB, BorderLayout.SOUTH);
		
		label = new JLabel("Hi there");
		add(label, BorderLayout.NORTH);
	}
	
	@Override
	public void actionPerformed(ActionEvent arg0) {
		panel.clear();
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ExpanderController frame = new ExpanderController();
		frame.pack();
		frame.setVisible(true);
		}

}
