package c12lists.text.characterdrill.characterdrill2;

import java.util.Scanner;

/**
 * Character models a single Chinese character, with English translation,
 * image filename, PinYin transcription.
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
public class Character {

	private String myEnglishTranslation, myPinyin, myImageFilename;

	public Character(String englishTranslation, String pinyin, String imageFilename) {
		myEnglishTranslation = englishTranslation;
		myPinyin = pinyin;
		myImageFilename = imageFilename;
	}

	public Character(String line) throws Exception {
		Scanner scanner = new Scanner(line);
		myEnglishTranslation = scanner.next();
		myPinyin = scanner.next();
		myImageFilename = scanner.next();
	}

	public String getEnglishTranslation() {
		return myEnglishTranslation;
	}

	public String getPinyin() {
		return myPinyin;
	}

	public String getImageFilename() {
		return myImageFilename;
	}

}
