package c12lists.text.characterdrill.characterdrill3;

import java.util.Scanner;

/**
 * Character models a single Chinese character, with English translation,
 * image/audio filenames and PinYin transcription.
 * 
 * @author kvlinden
 * @version Fall, 2009
 * @version Removed sample Unicode sentence, Spring, 2012
 */
public class Character {

	private String myEnglishTranslation, myPinyin, myImageFilename, myPronunciationFilename;
	
	public Character(String englishTranslation, String pinyin, String imageFilename,
			String pronunciationFilename) {
		myEnglishTranslation = englishTranslation;
		myPinyin = pinyin;
		myImageFilename = imageFilename;
		myPronunciationFilename = pronunciationFilename;
	}

	public Character(String line) throws Exception {
		Scanner scanner = new Scanner(line);
		myEnglishTranslation = scanner.next();
		myPinyin = scanner.next();
		myImageFilename = scanner.next();
		myPronunciationFilename = scanner.next();
	}

	public String getEnglishTranslation() {
		return myEnglishTranslation;
	}

	public String getPinyin() {
		return myPinyin;
	}

	public String getImageFilename() {
		return myImageFilename;
	}

	public String getPronunciationFilename() {
		return myPronunciationFilename;
	}

}
