package c13oop.lecture.payroll;

public class CommissionBaseEmployee extends CommissionEmployee {

	private double myBaseSalary;

	public CommissionBaseEmployee() {
		System.out.println("CommissionBaseEmployee constructor");
		myBaseSalary = 0.0;
	}

	public CommissionBaseEmployee(int id, String name, String role, double sales, double commissionRate,
			double baseSalary) {
		super(id, name, role, sales, commissionRate);
		myBaseSalary = baseSalary;
	}

	@Override
	public double computePay() {
		return super.computePay() + myBaseSalary;
	}

	@Override
	public String toString() {
		return super.toString() + "\n\tBase salary: " + myBaseSalary;
	}

}
