package c13oop.text.simpledraw.simpledraw1;

import java.awt.Point;
import java.util.ArrayList;
import java.util.List;

/**
 * This console application demonstrates basic inheritance, with no
 * polymorphism. It does not require the GUI or the Panel.
 * 
 * @author kvlinden
 * @version Spring, 2012
 */
public class SimpledrawConsole {

	public static void main(String[] args) {
		Rectangle myRectangle = new Rectangle(new Point(10, 10), new Point(280, 280), false);
		System.out.println(myRectangle);
		System.out.println(myRectangle.getFilled());
		System.out.println(myRectangle.getColor());
		
		Figure myEllipse = new Ellipse(new Point(10, 10), new Point(280, 280), false);
		// System.out.println(myEllipse.getFilled()); Doesn't work because getFilled() is not defined for Figure, only CloseFigure.
		
		List<Figure> myFigures = new ArrayList<Figure>();
		myFigures.add(new Rectangle(new Point(10, 10), new Point(20, 20), true));
		myFigures.add(new Ellipse(new Point(15, 15), new Point(25, 25), false));
	}

}
