package c13oop.text.simpledraw.simpledraw2;

import java.awt.Point;

import processing.core.PApplet;

public abstract class Figure {
	
	public enum Type {
		RECTANGLE, ELLIPSE, LINE, DOODLE
	}
	
	protected Point myStart;

	protected int myColor;

	public Figure(Point start, int color) {
		myStart = start;
		myColor = color;
	}

	public int getColor() {
		return myColor;
	}

	public void setColor(int color) {
		myColor = color;
	}
	
	public abstract void updatePoint(Point p);

	public abstract void render(PApplet p);

}
