package c13oop.text.vehiclesAbstract;

class Bicycle extends Vehicle {

	private int myGearCount;

	public Bicycle() {
		myGearCount = 1;
	}

	public Bicycle(int gearCount) {
		setGearCount(gearCount);
	}

	public Bicycle(String brand, String model, int gearCount) {
		super(brand, model);
		setGearCount(gearCount);
	}

	public int getGearCount() {
		return myGearCount;
	}

	public void setGearCount(int gearCount) {
		myGearCount = gearCount;
	}

	public String toString() {
		return "Bicycle: " + super.toString() + "\n\tgears: " + getGearCount();
	}

	@Override
	public String getLocomotion() {
		return "cycle";
	}

	// The accessors and mutators...

}
