final int BALL_SIZE = 25;
final float GRAVITY = 0.20; // fall acceleration

int width = 200, height = width/2;
float ballX, ballY;         // ball location
float deltaX, deltaY;       // ball velocity

void setup() {
  size(width, height);
  smooth();
  
  // Start the ball in the upper left.
  ballX = 15;
  ballY = 15;
  
  // Set the rate of change for x and y.
  deltaX = 5;
  deltaY = 0;
}

void draw() {
  // Erase the ball at the previous location.
  background(255);

  // Draw the ball at the current location.
  fill(80, 130, 190);
  ellipse(ballX, ballY, BALL_SIZE, BALL_SIZE);
  
  // Move the ball to the right and down.
  ballX += deltaX;
  ballY += deltaY;
  deltaY += GRAVITY;
}

