/**
 * SimplePacman implements a simple set of pac-man examples.
 *
 * @author kvlinden
 * @version Fall, 2009
 */

int width = 100, height = width;
float x, y, pacmanSize;
color pacmanColor;
int biteFactor = 0;

void setup() {
  size(width, height);
  //smooth();  // remove for an authentic pixilated figure
  frameRate(5);
  x = width/3;
  y = height/2;
  pacmanSize = 25;
  pacmanColor = color(255, 255, 0);
}

void draw() {
  background(0);

  // Draw the pacman.
//  noStroke();
//  fill(255, 255, 0);
//  ellipse(33, 50, 25, 25);
//  // Draw the mouth.
//  fill(0);
//  arc(x, y, 25, 25, -0.125*PI*biteFactor, 0.125*PI*biteFactor);
  //drawPacman();
//  drawPacman(33, 33);     
//  drawPacman(33, 66);
//  drawPacman(66, 33); 
//  drawPacman(66, 66);
  drawPacman(x, y, computeFacingAngle(x, y, mouseX, mouseY));
  drawPacman(x + 33, y, computeFacingAngle(x + 33, y, mouseX, mouseY));
  
  // Move the pacmen.
//  x += 5;

  // Invert the bite factor.
  biteFactor = (biteFactor + 1) % 2;
  
  if (x < width) {
    saveFrame("../../../../text/c04methods/pacmen/pacman-####.tif");
  }
}

//void drawPacman() {
//  // Draw the body.
//  noStroke();
//  fill(255, 255, 0);
//  ellipse(x, y, 25, 25);
//  // Draw the mouth.
//  fill(0);
//  arc(x, y, 25, 25, -0.125*PI*biteFactor, 0.125*PI*biteFactor);
//}

//void drawPacman(float x, float y) {
//  // Draw the body.
//  noStroke();
//  fill(255, 255, 0);
//  ellipse(x, y, 25, 25);
//  // Draw the mouth.
//  fill(0);
//  arc(x, y, 25, 25, -0.125*PI*biteFactor, 0.125*PI*biteFactor);
//}

void drawPacman(float x, float y, float facingAngle) {
  // Draw the body.
  noStroke();
  fill(255, 255, 0);
  ellipse(x, y, 25, 25);
  // Draw the mouth.
  fill(0);
  arc(x, y, 25, 25, -0.125*PI*biteFactor + facingAngle, 0.125*PI*biteFactor + facingAngle);
}

float computeFacingAngle(float sourceX, float sourceY, float targetX, float targetY) {
  return atan2(targetY - sourceY, targetX - sourceX);
}

void keyPressed() {
  save("../../../../text/c04methods/pacman.tif");
}


