package c07repetition.lecture;

import java.util.Scanner;

public class TowersConsole {

	public static void move(int n, char src, char dest, char aux) {
		if (n > 1) {
			move(n - 1, src, aux, dest);
			move(1, src, dest, aux);
			move(n - 1, aux, dest, src);
		} else
			System.out.println("Move the top disk from " + src + " to " + dest);
	}

	public static void main(String[] args) {

		Scanner keyboard = new Scanner(System.in);

		System.out.println("The Hanoi Towers\n");
		System.out.print("number of disks: ");

		int n = keyboard.nextInt();

		move(n, 'A', 'B', 'C');

	}
}
