// A color chooser
// kvlinden, 16may2009

int unit = 100;
color color1, color2, color3, colorDefault;

void setup() {
  size(unit*2, unit*3);
  color1 = color(0, 102, 153);
  color2 = color(50, 152, 0);
  color3 = color(152, 3, 0);
  colorDefault = color(200);
  background(colorDefault);
}

void draw() {
  fill(color1);
  rect(0, 0, unit, unit);
  fill(color2);
  rect(0, unit, unit, unit);
  fill(color3);
  rect(0, unit*2, unit, unit);
}

void mousePressed() {
  if ((mouseX > 0) && (mouseX < unit) && (mouseY > 0) && (mouseY < unit)) {
    fill(color1);
    rect(unit, 0, unit*3, unit*3);
  } else if ((mouseX > 0) && (mouseX < unit) && (mouseY > unit) && (mouseY < unit*2)) {
    fill(color2);
    rect(unit, 0, unit*3, unit*3);
  } else if ((mouseX > 0) && (mouseX < unit) && (mouseY > unit*2) && (mouseY < unit*3)) {
    fill(color3);
    rect(unit, 0, unit*3, unit*3);
  } else {
    fill(colorDefault);
    rect(unit, 0, width, height);
  }
}

void keyPressed() {
  save("../../../../text/c05control/chooser.tif");
}
