// a tictactoe board to illustrate 2D arrays and files
// kvlinden, 23july2009

int SIZE = 100, COUNT = 3, width = SIZE * COUNT, height = width;

int[][] board = { 
  { 
    1, 0, 2     }
  , 
  { 
    0, 1, 2     }
  ,
  { 
    2, 0, 1     } 
};

void setup() {
  size(width, height);
  background(255);
  textFont(loadFont("Calibri-Bold-100.vlw"));

  //board = new int[COUNT][COUNT];
  //  initializeBoard(board);
  drawBoard(board);
  noLoop();
}

void draw() {
}

void initializeBoard(int[][] board) {
  for (int i = 0; i < board.length; i++) {
    for (int j = 0; j < board[i].length; j++) {
      board[i][j] = 0;
    }
  }
}

void drawBoard(int[][] board) {
  line(SIZE, 0, SIZE, height);
  line(0, SIZE, width, SIZE);
  line(SIZE * 2, 0, SIZE * 2, height);
  line(0, SIZE * 2, width, SIZE * 2);
  fill(0);
  textAlign(CENTER, CENTER);
  for (int i = 0; i < board.length; i++) {
    for (int j = 0; j < board[i].length; j++) {
      if (board[i][j] == 1) {
        text("X", i * SIZE + (SIZE * 0.5), j * SIZE + (SIZE * 0.5));
      } 
      else if (board[i][j] == 2) {
        text("0", i * SIZE + (SIZE * 0.5), j * SIZE + (SIZE * 0.5));
      }
    }
  }
}

void keyPressed() {
  save("../../../../text/c06arrays/tictactoeOutput.tif");
}





