package c11ui.lecture.swingBasics;

import java.awt.BorderLayout;

import javax.swing.JButton;
import javax.swing.JFrame;

public class BorderWindow extends JFrame {

	public BorderWindow() {
		super("BorderLayout");
		setDefaultCloseOperation(EXIT_ON_CLOSE);

		// setLayout(new BorderLayout()); This is actually the default.
		add(new JButton("Button 1 (NORTH)"), BorderLayout.NORTH);
		add(new JButton("2 (CENTER)"), BorderLayout.CENTER);
		add(new JButton("Button 3 (WEST)"), BorderLayout.WEST);
		add(new JButton("Long-Named Button 4 (SOUTH)"), BorderLayout.SOUTH);
		add(new JButton("Button 5 (EAST)"), BorderLayout.EAST);
	}

	public static void main(String args[]) {
		BorderWindow controller = new BorderWindow();
		controller.pack();
		controller.setVisible(true);
	}
}
