package c11ui.lecture.swingBasics;

import javax.swing.*;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class WhichButton extends JFrame  {

	//instance variables (must be declared outside of constructor so we can use them 
	//in the actionPerformed method )
	JLabel myMessage, myIndication;
	JButton myLeft, myRight;
	
	//constructor
	public WhichButton (){
		setTitle("Which button was pushed?");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setLayout(new FlowLayout());
		
		//Add elements to the frame (stick them on the tackboard, make sure
		// someone is paying attention)
		myMessage = new JLabel("Push a button");
		add(myMessage);
		
		myLeft = new JButton("Left");
		myLeft.addActionListener(new LeftButtonListener());
		add(myLeft);
		
		myRight = new JButton("Right");
		myRight.addActionListener(new RightButtonListener());
		add(myRight);
		
		myIndication = new JLabel("        ");
		add(myIndication);
	    	
	}
	
	// Inner class to deal with Left Button clicks
	class LeftButtonListener implements ActionListener{
		public void actionPerformed(ActionEvent e) {
			myIndication.setText("Left");
		}
	}
	
	// Inner class to deal with right Button clicks
	class RightButtonListener implements ActionListener{
		public void actionPerformed(ActionEvent e){
			myIndication.setText("Right");
		}
	}
	
	//Our usual starting point
	public static void main(String[] args) {
		WhichButton controller = new WhichButton();
		controller.pack();
		controller.setVisible(true);
	}

}
