package c12lists.lecture.countryguess;

import java.util.Random;

public class CountryGuessGame0 {

	private String[] myCountries;
	private int myAnswerIndex, myHintCount;

	private Random myRandom;

	public CountryGuessGame0() {
		myCountries = new String[2];
		myCountries[0] = "Honduras";
		myCountries[1] = "Panama";
		myRandom = new Random();
		reset();
	}

	public void reset() {
		myAnswerIndex = myRandom.nextInt(myCountries.length);
		myHintCount = 0;
	}

	public boolean guess(String text) {
		return myCountries[myAnswerIndex].equalsIgnoreCase(text);
	}

	public String getAnswer() {
		return myCountries[myAnswerIndex];
	}

	public String getHintText() {
		myHintCount++;
		String name = myCountries[myAnswerIndex];
		if (myHintCount == 1) {
			return "The name starts with '" + name.charAt(0) + "'";}
		else if (myHintCount == 2){
			return "The name has " + name.length() + " letters";}
		else if (myHintCount ==3){
			return "The name ends with '" + name.charAt(name.length() - 1) + "'";}
		else{
			return "no more hints";
		}
	}

}
