package c12lists.lecture.countryguess;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class CountryGuessGame1 {

	private List<String> myCountries;
	private int myAnswerIndex, myHintCount;

	private Random myRandom;

	public CountryGuessGame1() {
		myCountries = new ArrayList<String>();
		myCountries.add("Honduras");
		myCountries.add("Panama");
		myRandom = new Random();
		reset();
	}

	public void reset() {
		myAnswerIndex = myRandom.nextInt(myCountries.size());
		myHintCount = 0;
	}

	public boolean guess(String text) {
		return myCountries.get(myAnswerIndex).equalsIgnoreCase(text);
	}

	public String getAnswer() {
		return myCountries.get(myAnswerIndex);
	}

	public String getHintText() {
		myHintCount++;
		String name = myCountries.get(myAnswerIndex);
		if (myHintCount == 1) {
			return "The name starts with '" + name.charAt(0) + "'";
		} else if (myHintCount == 2) {
			return "The name has " + name.length() + " letters";
		} else if (myHintCount == 3) {
			return "The name ends with '" + name.charAt(name.length() - 1) + "'";
		} else {
			return "no more hints";
		}
	}

}
