package c12lists.lecture.examples;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

import c12lists.text.soldierRecords.Soldier;

public class ReadRecordsConsole {

	public static final String PATH = "src/c11files/examples/data/"; 

	public static void main(String[] args) {
		try{
			Scanner keyboard = new Scanner(System.in);
			System.out.print("Data Records filename: ");
			String filename = keyboard.next();
			Scanner fileIn = new Scanner(new File(PATH, filename));

			List<Soldier> soldiers = new ArrayList<Soldier>();
			for  ( ; fileIn.hasNextLine(); ) {
				soldiers.add(new Soldier(fileIn.nextLine()));
			}
			fileIn.close();
			for (int i = 0; i < soldiers.size(); i++) {
				System.out.println(soldiers.get(i));
			}
		}
		catch(FileNotFoundException e){
			System.out.println("Invalid File indicated.");
		}

	}

}
