package c12lists.text.characterdrill.characterdrill1;

/**
 * Character models a single Chinese character, with English translation,
 * PinYin transcription and Chinese character (in Unicode).
 * 
 * @author kvlinden
 * @version Spring, 2012
 */
public class Character {

	private String myEnglish, myPinyin, myCharacter;

	public Character(String english, String pinyin, String character) {
		myEnglish = english;
		myPinyin = pinyin;
		myCharacter = character;
	}

	public String getEnglish() {
		return myEnglish;
	}

	public String getPinyin() {
		return myPinyin;
	}
	
	public String getCharacter() {
		return myCharacter;
	}

}
