package c12lists.text.integerStatistics;

import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class KeyboardReadConsole {

	// testing
	public static double computeAverage(List<Integer> values) throws Exception {
		if (values == null || values.size() == 0) {
			throw new Exception("Empty list");
		}
		int sum = 0;
		for (int i = 0; i < values.size(); i++) {
			sum += values.get(i);
		}
		return sum / values.size();
	}

	public static double computeVariance(List<Integer> values, double average) throws Exception {
		if (values == null || values.size() == 0) {
			throw new Exception("Empty list");
		}
		int sum = 0;
		for (int i = 0; i < values.size(); i++) {
			sum += Math.pow(values.get(i) - average, 2);
		}
		return Math.sqrt(sum / values.size());
	}

	public static void main(String[] args) throws Exception {
		List<Integer> scores = new ArrayList<Integer>();
		Scanner keyboard = new Scanner(System.in);
		int score;
		System.out.println("Please enter scores (-1 to quit).");
		while (true) {
			System.out.print("\tScore: ");
			score = keyboard.nextInt();
			if (score == -1) {
				break;
			}
			scores.add(score);
		}
		System.out.println("Scores: " + scores);
		double average = computeAverage(scores);
//		System.out.printf("average: %5.2f%n", average);
//		System.out.printf("std dev: %5.2f%n", computeVariance(scores, average));
		System.out.println("Average: " + average);
		System.out.println("Variance: " + computeVariance(scores, average));
	}

}
