package c13oop.lecture.payroll;

public class CommissionEmployee extends Employee {
	
    private double mySales, myCommissionRate;
	
	public CommissionEmployee() {
		System.out.println("CommissionEmployee constructor");
		mySales = myCommissionRate = 0.0;
	}
	
	public CommissionEmployee(int id, String name, String role, double sales, double commissionRate) {
		super(id, name, role);
		mySales = sales;
		myCommissionRate = commissionRate;
	}

	@Override
	public double computePay() {
		return mySales * myCommissionRate;
	}
	
	@Override
	public String toString() {
		return super.toString() + "\n\tSales: " + mySales + "\n\tCommission rate: " + myCommissionRate;
	}

}
