package c13oop.text.simpledraw.simpledraw1;

import java.awt.Point;
import java.util.ArrayList;
import java.util.List;

import processing.core.PApplet;

public class Doodle extends Figure {

	private List<Point> myPoints;

	public Doodle(Point start, int color) {
		super(start, color);
		myPoints = new ArrayList<Point>();
	}

	public void updatePoint(Point point) {
		myPoints.add(point);
	}

	public void render(PApplet p) {
		p.stroke(getColor());
		Point previousOffset = getStart();
		for (int i = 0; i < myPoints.size(); i++) {
			p.line(previousOffset.x, previousOffset.y, myPoints.get(i).x, myPoints.get(i).y);
			previousOffset = myPoints.get(i);
		}
	}
}
