package c13oop.text.simpledraw.simpledraw1;

import java.awt.Point;

import processing.core.PApplet;

public abstract class Figure {
	
	private Point myStart;
	private int myColor;
	
	public Figure() {
		myStart = new Point(0, 0);
		myColor = 0;
	}

	public Figure(Point start) {
		myStart = start;
		myColor = 0;
	}

	public Figure(Point start, int color) {
		myStart = start;
		myColor = color;
	}
	
	public Point getStart() {
		return myStart;
	}

	public int getColor() {
		return myColor;
	}

	public void setColor(int color) {
		myColor = color;
	}
	
	public abstract void updatePoint(Point p);

	public abstract void render(PApplet p);

}
