package c13oop.text.simpledraw.simpledraw2;

import java.awt.Point;

import processing.core.PApplet;

public class Rectangle extends ClosedFigure {

	public Rectangle(Point start, int color, boolean filled) {
		super(start, color, filled);
	}

	public Rectangle(Point start, Point end, int color, boolean filled) {
		super(start, color, end.x - start.x, end.y - start.y, filled);
	}

	public void updatePoint(Point p) {
		myWidth = p.x - myStart.x;
		myHeight = p.y - myStart.y;
	}

	public void render(PApplet p) {
		p.stroke(myColor);
		if (myFilled) {
			p.fill(myColor);
		} else {
			p.noFill();
		}
		p.rect(myStart.x, myStart.y, myWidth, myHeight);
	}
}
